/*
 * OpenFairDB API
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 *
 * The version of the OpenAPI document: 0.9.3
 * 
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */


package org.openapitools.client.model;

import java.util.Objects;
import java.util.Arrays;
import com.google.gson.TypeAdapter;
import com.google.gson.annotations.JsonAdapter;
import com.google.gson.annotations.SerializedName;
import com.google.gson.stream.JsonReader;
import com.google.gson.stream.JsonWriter;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.IOException;

/**
 * BboxSubscription
 */
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.JavaClientCodegen", date = "2020-12-19T15:07:54.107442+01:00[Europe/Rome]")
public class BboxSubscription {
  public static final String SERIALIZED_NAME_ID = "id";
  @SerializedName(SERIALIZED_NAME_ID)
  private String id;

  public static final String SERIALIZED_NAME_SOUTH_WEST_LAT = "south_west_lat";
  @SerializedName(SERIALIZED_NAME_SOUTH_WEST_LAT)
  private Double southWestLat;

  public static final String SERIALIZED_NAME_SOUTH_WEST_LNG = "south_west_lng";
  @SerializedName(SERIALIZED_NAME_SOUTH_WEST_LNG)
  private Double southWestLng;

  public static final String SERIALIZED_NAME_NORTH_EAST_LAT = "north_east_lat";
  @SerializedName(SERIALIZED_NAME_NORTH_EAST_LAT)
  private Double northEastLat;

  public static final String SERIALIZED_NAME_NORTH_EAST_LNG = "north_east_lng";
  @SerializedName(SERIALIZED_NAME_NORTH_EAST_LNG)
  private Double northEastLng;


  public BboxSubscription id(String id) {
    
    this.id = id;
    return this;
  }

   /**
   * Identifier of a resource 
   * @return id
  **/
  @javax.annotation.Nullable
  @ApiModelProperty(example = "7cee99c287094a94acbdcf29ffff2e85", value = "Identifier of a resource ")

  public String getId() {
    return id;
  }


  public void setId(String id) {
    this.id = id;
  }


  public BboxSubscription southWestLat(Double southWestLat) {
    
    this.southWestLat = southWestLat;
    return this;
  }

   /**
   * Geographic latitude (in degrees)
   * minimum: -90.0
   * maximum: 90.0
   * @return southWestLat
  **/
  @javax.annotation.Nullable
  @ApiModelProperty(example = "37.2", value = "Geographic latitude (in degrees)")

  public Double getSouthWestLat() {
    return southWestLat;
  }


  public void setSouthWestLat(Double southWestLat) {
    this.southWestLat = southWestLat;
  }


  public BboxSubscription southWestLng(Double southWestLng) {
    
    this.southWestLng = southWestLng;
    return this;
  }

   /**
   * Geographic longitude (in degrees)
   * minimum: -180.0
   * maximum: 180.0
   * @return southWestLng
  **/
  @javax.annotation.Nullable
  @ApiModelProperty(example = "120.7", value = "Geographic longitude (in degrees)")

  public Double getSouthWestLng() {
    return southWestLng;
  }


  public void setSouthWestLng(Double southWestLng) {
    this.southWestLng = southWestLng;
  }


  public BboxSubscription northEastLat(Double northEastLat) {
    
    this.northEastLat = northEastLat;
    return this;
  }

   /**
   * Geographic latitude (in degrees)
   * minimum: -90.0
   * maximum: 90.0
   * @return northEastLat
  **/
  @javax.annotation.Nullable
  @ApiModelProperty(example = "37.2", value = "Geographic latitude (in degrees)")

  public Double getNorthEastLat() {
    return northEastLat;
  }


  public void setNorthEastLat(Double northEastLat) {
    this.northEastLat = northEastLat;
  }


  public BboxSubscription northEastLng(Double northEastLng) {
    
    this.northEastLng = northEastLng;
    return this;
  }

   /**
   * Geographic longitude (in degrees)
   * minimum: -180.0
   * maximum: 180.0
   * @return northEastLng
  **/
  @javax.annotation.Nullable
  @ApiModelProperty(example = "120.7", value = "Geographic longitude (in degrees)")

  public Double getNorthEastLng() {
    return northEastLng;
  }


  public void setNorthEastLng(Double northEastLng) {
    this.northEastLng = northEastLng;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    BboxSubscription bboxSubscription = (BboxSubscription) o;
    return Objects.equals(this.id, bboxSubscription.id) &&
        Objects.equals(this.southWestLat, bboxSubscription.southWestLat) &&
        Objects.equals(this.southWestLng, bboxSubscription.southWestLng) &&
        Objects.equals(this.northEastLat, bboxSubscription.northEastLat) &&
        Objects.equals(this.northEastLng, bboxSubscription.northEastLng);
  }

  @Override
  public int hashCode() {
    return Objects.hash(id, southWestLat, southWestLng, northEastLat, northEastLng);
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class BboxSubscription {\n");
    sb.append("    id: ").append(toIndentedString(id)).append("\n");
    sb.append("    southWestLat: ").append(toIndentedString(southWestLat)).append("\n");
    sb.append("    southWestLng: ").append(toIndentedString(southWestLng)).append("\n");
    sb.append("    northEastLat: ").append(toIndentedString(northEastLat)).append("\n");
    sb.append("    northEastLng: ").append(toIndentedString(northEastLng)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }

}

